import * as React from 'react';
import * as AlertDialogPrimitive from '@radix-ui/react-alert-dialog';
declare const AlertDialogTrigger: React.ForwardRefExoticComponent<AlertDialogPrimitive.AlertDialogTriggerProps & React.RefAttributes<HTMLButtonElement>>;
declare function AlertDialogPortal({ children, ...props }: AlertDialogPrimitive.AlertDialogPortalProps): import("@emotion/react/jsx-dev-runtime").JSX.Element;
declare namespace AlertDialogPortal {
    var displayName: string | undefined;
}
declare const AlertDialogContent: React.ForwardRefExoticComponent<Omit<AlertDialogPrimitive.AlertDialogContentProps & React.RefAttributes<HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
declare function AlertDialogHeader(props: React.HTMLAttributes<HTMLDivElement>): import("@emotion/react/jsx-dev-runtime").JSX.Element;
declare namespace AlertDialogHeader {
    var displayName: string;
}
declare function AlertDialogFooter(props: React.HTMLAttributes<HTMLDivElement>): import("@emotion/react/jsx-dev-runtime").JSX.Element;
declare namespace AlertDialogFooter {
    var displayName: string;
}
declare const AlertDialogTitle: React.ForwardRefExoticComponent<Omit<AlertDialogPrimitive.AlertDialogTitleProps & React.RefAttributes<HTMLHeadingElement>, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
declare const AlertDialogDescription: React.ForwardRefExoticComponent<Omit<AlertDialogPrimitive.AlertDialogDescriptionProps & React.RefAttributes<HTMLParagraphElement>, "ref"> & React.RefAttributes<HTMLParagraphElement>>;
declare const AlertDialogAction: React.ForwardRefExoticComponent<Omit<AlertDialogPrimitive.AlertDialogActionProps & React.RefAttributes<HTMLButtonElement>, "ref"> & React.RefAttributes<HTMLButtonElement>>;
declare const AlertDialogCancel: React.ForwardRefExoticComponent<Omit<AlertDialogPrimitive.AlertDialogCancelProps & React.RefAttributes<HTMLButtonElement>, "ref"> & React.RefAttributes<HTMLButtonElement>>;
declare const _AlertDialog: React.FC<AlertDialogPrimitive.AlertDialogProps>;
export { _AlertDialog as Root, AlertDialogTrigger as Trigger, AlertDialogContent as Content, AlertDialogHeader as Header, AlertDialogFooter as Footer, AlertDialogTitle as Title, AlertDialogDescription as Description, AlertDialogAction as Action, AlertDialogCancel as Cancel, AlertDialogPortal as Portal, };
